// ScriptCaching-Com.cpp : Implementation of WinMain


// Note: Proxy/Stub Information
//      To build a separate proxy/stub DLL, 
//      run nmake -f ScriptCaching-Comps.mk in the project directory.

#include "stdafx.h"
#include "resource.h"
#include <initguid.h>
#include "ScriptCaching-Com.h"

#include "ScriptCaching-Com_i.c"

// *** AddBasic: need the CMainDlg declaration
#include "BasicDlg.h"
// ***

CComModule _Module;

BEGIN_OBJECT_MAP(ObjectMap)
END_OBJECT_MAP()

/////////////////////////////////////////////////////////////////////////////
//
extern "C" int WINAPI _tWinMain(HINSTANCE hInstance, 
    HINSTANCE /*hPrevInstance*/, LPTSTR lpCmdLine, int /*nShowCmd*/)
{
#if _WIN32_WINNT >= 0x0400 & defined(_ATL_FREE_THREADED)
    HRESULT hRes = CoInitializeEx(NULL, COINIT_MULTITHREADED);
#else
    HRESULT hRes = CoInitialize(NULL);
#endif
    _ASSERTE(SUCCEEDED(hRes));

    _Module.Init(ObjectMap, hInstance, &LIBID_ScriptCaching_ComLib);

    int nRet = 0;

	AtlAxWinInit();

	// show the main dialog
	CBasicDlg maindlg;
	maindlg.DoModal();

	AtlAxWinTerm();

    CoUninitialize();
    return nRet;
}
